import 'package:be_happy/domain/entities/client_notification.dart';

abstract class NotificationRepository {
  /// Устанавливает постоянное SSE-соединение и возвращает поток уведомлений
  Stream<ClientNotification> getNotificationsStream();

  /// Отменяет уведомление по ID
  Future<ClientNotification> cancelNotification(int id);

  /// Закрывает SSE-соединение
  void closeStream();

  /// получить список уведомлений
  Future<List<ClientNotification>> getNotifications();
}
